<?php require_once('Connections/conn.php'); ?>
<?php
$sede=$_GET['sede'];
$carrera=$_GET['carrera'];
$periodo=$_GET['periodo'];

mysql_select_db($database_conn, $conn);
mysql_query ("SET NAMES 'utf8'");

// Datos del Per�odo.
$sql2 = "select * from periodos where id_periodo='$periodo'";
$rs2=mysql_query($sql2,$conn);
$row2=mysql_fetch_array($rs2);
$codigo_periodo=$row2['codigo'];
$descripcion='('.$row2['mes_inicio'].'-'.$row2['mes_fin'].')';


$query = " SELECT DISTINCT 
historial_alumnos.cedula as CEDULA, 
historial_alumnos.participante as PARTICIPANTE, 
historial_alumnos.nom_carrera as PROGRAMA, 
historial_alumnos.id_periodo as PERIODO, 
sedes.nombre_sede as SEDE
FROM historial_alumnos
INNER JOIN sedes ON historial_alumnos.sede = sedes.codigo
WHERE historial_alumnos.id_periodo = '$codigo_periodo'";
// Filtra las Sedes
if($sede!=0){
   $query=$query." AND historial_alumnos.sede='$sede'";
 }
// Filtra las Carreras
if($carrera!=0){
   $query=$query." AND historial_alumnos.id_carrera='$carrera'";
 }
$query=$query." AND (
historial_alumnos.id_carrera = '26A'
OR historial_alumnos.id_carrera = '27A'
OR historial_alumnos.id_carrera = '29A'
OR historial_alumnos.id_carrera = '30A'
OR historial_alumnos.id_carrera = '32A'
OR historial_alumnos.id_carrera = '33B'
OR historial_alumnos.id_carrera = '34A'
OR historial_alumnos.id_carrera = '35A'
OR historial_alumnos.id_carrera = '36A'
OR historial_alumnos.id_carrera = '54A'
OR historial_alumnos.id_carrera = '55A'
OR historial_alumnos.id_carrera = '61A'
OR historial_alumnos.id_carrera = '64A')
AND SUBSTR( sedes.nombre_sede, 1, 3 ) <> 'UNA'
GROUP BY historial_alumnos.cedula
ORDER BY sedes.nombre_sede,historial_alumnos.nom_carrera,historial_alumnos.participante";
$r = mysql_query( $query ) or trigger_error( mysql_error($conn), E_USER_ERROR );
$return = '';
if( mysql_num_rows($r)>0){
    $return .= '<table border=1>';
    $cols = 0;
    while($rs = mysql_fetch_row($r)){
        $return .= '<tr>';
        if($cols==0){
            $cols = sizeof($rs);
            $cols_names = array();
            for($i=0; $i<$cols; $i++){
                $col_name = mysql_field_name($r,$i);
                $return .= '<th>'.htmlspecialchars($col_name).'</th>';
                $cols_names[$i] = $col_name;
            }
            $return .= '</tr><tr>';
        }
        for($i=0; $i<$cols; $i++){
            # En esta iteración se personalizan datos.
            if($cols_names[$i] == 'CEDULA'){ # Formateo el nombre del alumno.
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';
            }else if($cols_names[$i] == 'PARTICIPANTE'){ # Formateo el nombre del docente
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';
            }else if($cols_names[$i] == 'PROGRAMA'){ # Formateo el Programa.
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';
			}else{
                $return .= '<td>'.htmlspecialchars($rs[$i]).'</td>';
            }
        }
        $return .= '</tr>';
    }
    $return .= '</table>';
    mysql_free_result($r);
}
#Cambiando el content-type más las <table> se pueden exportar formatos como csv
header("Content-type: application/vnd-ms-excel; charset=iso-8859-1");
header("Content-Disposition: attachment; filename=matricula_".date('d-m-Y').".xls");
echo $return; 
?>

